Home

# Class goog.ui.FlatMenuButtonRenderer

Flat Menu Button renderer. Creates a simpler version of {@link goog.ui.MenuButton} that doesn't look like a button and doesn't have rounded corners. Uses just a

and looks more like a traditional element.extends goog.ui.FlatButtonRenderer

Instance Method Summary
| `createCaption(?goog.ui.ControlContent content, ?goog.dom.DomHelper dom) ⇒ ?Element` Takes a text caption or existing DOM structure, and returns it wrapped in an appropriately-styled DIV. Creates the following DOM structure: Contents...
| `createDom(?goog.ui.Button button) ⇒ ?Element` Returns the button's contents wrapped in the following DOM structure: Contents... Overrides {@link goog.ui.FlatButtonRenderer#createDom}.
| `createDropdown(?goog.dom.DomHelper dom) ⇒ ?Element` Returns an appropriately-styled DIV containing a dropdown arrow element. Creates the following DOM structure:
| `decorate(?goog.ui.MenuButton button, ?Element element) ⇒ ?Element` Takes an element, decorates it with the menu button control, and returns the element. Overrides {@link goog.ui.CustomButtonRenderer#decorate} by looking for a child element that can be decorated by a menu, and if it finds one, decorates it and attaches it to the menu button.
| `getContentElement(?Element element) ⇒ ?Element` Takes the button's root element and returns the parent element of the button's contents.
| `getCssClass() ⇒ string` Returns the CSS class to be applied to the root element of components rendered using this renderer.